
package de.ivu.elect.presentation.exchange.table;

import de.ivu.elect.business.datei.entity.DateiImport;
import de.ivu.elect.business.datei.entity.DateiMeta;
import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.jee.presentation.dynamictable.ColumnType;

public class DateiImportDateiFormatColumn extends AbstractDateiImportDateiColumn {

  private static final long serialVersionUID = 1L;

  protected DateiImportDateiFormatColumn(Messages messages, DateiMeta dateiMeta) {
    super(messages, dateiMeta);
  }

  @Override
  public ColumnType getType() {
    return ColumnType.STRING;
  }

  @Override
  public String getHeader() {
    return dateiMeta.getFormatEinzahlMessage();
  }

  @Override
  public Object getValue(DateiImport dateiImport) {
    return getMessage(dateiImport.getDatei().getFormat());
  }
}
